#
# spec file for package python-seqdiag
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-seqdiag
Version:        0.9.5
Release:        lp151.2.2
Summary:        Generates sequence-diagram image from text
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://blockdiag.com/
Source:         https://pypi.python.org/packages/source/s/seqdiag/seqdiag-%{version}.tar.gz
BuildRequires:  %{python_module blockdiag >= 1.5.0}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
Requires:       python-blockdiag >= 1.5.0
Requires:       python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif
%python_subpackages

%description
`seqdiag` generate sequence-diagram image file from spec-text file.

* Generate sequence-diagram from dot like text (basic feature).
* Multilingualization for node-label (utf-8 only).

%prep
%setup -q -n seqdiag-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%defattr(-,root,root,-)
%doc CHANGES.rst LICENSE README.rst
%python3_only %{_bindir}/seqdiag
%{python_sitelib}/*

%changelog
* Sun Oct  8 2017 arun@gmx.de
- convert to singlespec
- update copyright year
* Fri Jul 10 2015 tbechtold@suse.com
- Initial packaging
